#!/bin/bash

for t in test_random_bytea_1k test_random_bytea_4k test_random_bytea_1m test_redundant_bytea_1k test_redundant_bytea_4k test_redundant_bytea_1m; do

	for r in `seq 1 10`; do

		psql test -c "drop table $t" > /dev/null 2>&1;
		psql test -c "create unlogged table $t (v bytea)" > /dev/null 2>&1

		psql test > timing.log <<EOF
\timing
copy $t from '/mnt/raid/compress/$t.data';
EOF

		x=`grep 'Time' timing.log | awk '{print $2}'`

		psql test -c "analyze $t" > /dev/null 2>&1

		z=`psql -t -A test -c "select pg_total_relation_size('$t')"`

		echo $t $r $x $z

	done

done
